> ## Documentation Index
> Fetch the complete documentation index at: https://anything.notte.cc/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a marketplace function specification



## OpenAPI

````yaml https://anything.notte.cc/api/marketplace/openapi.json get /api/marketplace/spec
openapi: 3.1.0
info:
  title: Notte Marketplace API
  version: 1.0.0
  description: >-
    Public marketplace discovery APIs and authenticated build/run APIs. The JSON
    Schema components are generated from the shared marketplace contract used by
    both HTTP and MCP.
servers: []
security: []
paths:
  /api/marketplace/spec:
    get:
      summary: Get a marketplace function specification
      parameters:
        - name: function_id
          in: query
          required: true
          schema:
            type: string
            minLength: 1
      responses:
        '200':
          description: The marketplace function specification.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarketplaceSpecResult'
        '400':
          description: function_id is required.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarketplaceError'
        '404':
          description: The function is not published in the marketplace.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MarketplaceError'
components:
  schemas:
    MarketplaceSpecResult:
      $schema: https://json-schema.org/draft/2020-12/schema
      type: object
      properties:
        function_id:
          type: string
        name:
          type: string
        description:
          anyOf:
            - type: string
            - type: 'null'
        variables:
          type: array
          items:
            type: object
            properties:
              name:
                type: string
              type:
                type: string
              default: {}
            required:
              - name
            additionalProperties: false
        response_format:
          anyOf:
            - type: object
              propertyNames:
                type: string
              additionalProperties: {}
            - type: 'null'
        last_check_status:
          anyOf:
            - type: string
              enum:
                - ok
                - failed
                - not_observed
            - type: 'null'
        last_checked_at:
          anyOf:
            - type: string
            - type: 'null'
        last_check_note:
          type: string
      required:
        - function_id
        - name
        - description
        - variables
        - response_format
        - last_check_status
      additionalProperties: {}
    MarketplaceError:
      $schema: https://json-schema.org/draft/2020-12/schema
      type: object
      properties:
        error:
          type: string
      required:
        - error
      additionalProperties: false

````